=== modified file 'bzrlib/config.py'
--- bzrlib/config.py	2006-10-02 13:36:02 +0000
+++ bzrlib/config.py	2006-10-04 07:12:39 +0000
@@ -114,13 +114,13 @@
     def _get_signing_policy(self):
         """Template method to override signature creation policy."""
 
-    def _get_user_option(self, option_name, recurse=True):
+    def _get_user_option(self, option_name):
         """Template method to provide a user option."""
         return None
 
-    def get_user_option(self, option_name, recurse=True):
+    def get_user_option(self, option_name):
         """Get a generic option - no special process, no default."""
-        return self._get_user_option(option_name, recurse=recurse)
+        return self._get_user_option(option_name)
 
     def gpg_signing_command(self):
         """What program should be used to sign signatures?"""
@@ -287,11 +287,9 @@
         """Get the user id from the 'email' key in the current section."""
         return self._get_user_option('email')
 
-    def _get_user_option(self, option_name, recurse=True):
+    def _get_user_option(self, option_name):
         """See Config._get_user_option."""
         for (section, extra_path) in self._get_matching_sections():
-            if not recurse and extra_path != '':
-                continue
             try:
                 return self._get_parser().get_value(section, option_name)
             except KeyError:
@@ -534,10 +532,10 @@
         """See Config._get_signing_policy."""
         return self._get_best_value('_get_signing_policy')
 
-    def _get_user_option(self, option_name, recurse=True):
+    def _get_user_option(self, option_name):
         """See Config._get_user_option."""
         for source in self.option_sources:
-            value = source()._get_user_option(option_name, recurse=recurse)
+            value = source()._get_user_option(option_name)
             if value is not None:
                 return value
         return None

=== modified file 'bzrlib/tests/test_config.py'
--- bzrlib/tests/test_config.py	2006-10-02 13:36:02 +0000
+++ bzrlib/tests/test_config.py	2006-10-04 07:12:39 +0000
@@ -664,17 +664,6 @@
         self.assertEqual('local',
                          self.my_config.get_user_option('user_local_option'))
 
-    def test_get_user_option_non_recursive(self):
-        self.get_branch_config('/a/c')
-        # Doesn't see values from "/a/" config:
-        self.assertEqual(None,
-                         self.my_config.get_user_option('user_local_option',
-                                                        recurse=False))
-        # Sees values from global config:
-        self.assertEqual('vim',
-                         self.my_config.get_user_option('editor',
-                                                        recurse=False))
-
     def test_post_commit_default(self):
         self.get_branch_config('/a/c')
         self.assertEqual('bzrlib.tests.test_config.post_commit',

